Skip to main content

[GET] /external/v1/deposits/{id}

Overview

Returns a single deposit by ID for the authenticated merchant.

Authentication

Requires an API key. See Authentication.

Path Parameters

NameTypeRequiredDescription
idstringYesDeposit ID. e.g. DE_FUGtXKc2

Response

Returns an ApiResponse<Deposit>.

FieldTypeDescription
codestringResponse code. Successful responses use ok.
messagestringHuman-readable response message.
dataDepositDeposit matching the requested ID.

Example Request

GET /external/v1/deposits/DE_FUGtXKc2

Example Response

{
"code": "ok",
"message": "Ok.",
"data": {
"id": "DE_FUGtXKc2",
"wallet": {
"id": "WT0ir6F1",
"type": "merchant_wallet"
},
"transaction": {
"type": "blockchain",
"provider": "tron",
"blockchain": {
"chainId": "3448148188",
"hash": "e6191fbb1beb1689b073567d6db0f9cce39fd096aae0dd4cdae07fa114600047",
"fromAddress": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax",
"toAddress": "TQPipjn73wBnKDodCtZAUCLoMdsgjBc3K5"
},
"legs": [
{
"type": "principal",
"currencyCode": "USDT",
"amount": "100.000000000000000000"
},
{
"type": "network_fee",
"currencyCode": "TRX",
"amount": "0.345000000000000000"
}
]
},
"source": {
"type": "crypto",
"rail": "tron",
"identifier": "TJScotwGB69dbkzgEnjw5rKaeehxzv8pax"
},
"status": "completed",
"currencyCode": "USDT",
"amount": "100.0000000000000000",
"amountFee": "1.0000000000000000",
"amountNet": "99.0000000000000000",
"finalizedAt": "2026-05-12T03:18:31.323Z",
"createdAt": "2026-05-12T03:17:34.963Z",
"updatedAt": "2026-05-12T03:18:31.323Z"
}
}

Error Responses

All error responses use ErrorResponse.

HTTP StatusCodeMessageDescription
400bad_requestValidation error messageThe request failed gateway-level validation, such as an invalid id value.
401unauthorizedUnauthorized.The API key is missing or invalid.
403forbiddenForbidden.The authenticated caller is not allowed to access this resource.
404not_foundNot found.No deposit exists for the requested ID, or the authenticated merchant is not allowed to access it.

Example Not Found Error

{
"code": "not_found",
"message": "Not found.",
"data": null
}